Bug 1472436 - banshee requires MONO_TLS_PROVIDER=legacy for podcasts in https
banshee requires MONO_TLS_PROVIDER=legacy for podcasts in https
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 13:45 EDT by Fabrice Bellet
Modified: 2017-08-02 12:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: banshee-2.6.2-22.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 12:49:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2017-07-18 13:45:41 EDT
Hi!

With fedora 26, banshee must run with the environment variable MONO_TLS_PROVIDER=legacy to download podcast URI using https (this was not needed in f25).
Comment 1 Tom "spot" Callaway 2017-07-18 15:47:55 EDT
Please retest with the update I just pushed. I don't have an example podcast URI to reproduce with.
Comment 2 Fabrice Bellet 2017-07-19 05:00:18 EDT
This variable is still needed with the latest update.
Comment 3 Tom "spot" Callaway 2017-07-19 13:44:09 EDT
Can you give me a reproducer?
Comment 4 Fabrice Bellet 2017-07-19 15:48:29 EDT
You can try this one:

https://bellet.info/rss/mediapart/rss.xml

It's the same content than here, with enclosure URI rewritten to use https too : https://www.mediapart.fr/journal/podcasts/rss

Certs are imported with mozroots --import --sync, to make them available in mono.
Comment 5 Fedora Update System 2017-07-23 12:20:18 EDT
banshee-2.6.2-22.fc26 dbus-sharp-0.8.1-3.fc26 mono-zeroconf-0.9.0-20.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc40ade2bd
Comment 6 Fedora Update System 2017-07-23 12:21:01 EDT
banshee-2.6.2-22.fc26 dbus-sharp-0.8.1-3.fc26 mono-zeroconf-0.9.0-20.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc40ade2bd
Comment 7 Fedora Update System 2017-07-25 00:24:15 EDT
banshee-2.6.2-22.fc26, dbus-sharp-0.8.1-3.fc26, mono-zeroconf-0.9.0-20.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc40ade2bd
Comment 8 Fedora Update System 2017-08-02 12:49:14 EDT
banshee-2.6.2-22.fc26, dbus-sharp-0.8.1-3.fc26, mono-zeroconf-0.9.0-20.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.